#include "stdafx.h"
#include "LKFAufenthaltIntLine.h"

extern "C" {
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "lkf5defs.h"
}

#include "LKFAufenthalt.h"

namespace lkfxdok {
	namespace c {

		LKFAufenthaltIntLine::LKFAufenthaltIntLine(LKFAufenthalt ^aufenthalt, unsigned int index) : LKFAufenthaltChild(aufenthalt, index)
		{
		}

		String ^LKFAufenthaltIntLine::Line::get() {
			char buf[2048];
			if (!lkf_auf_getintline ((LKF_AUFENTHALT *)_aufenthalt->_aufenthaltPtr, _index, buf))
				return gcnew String(buf, 0, (int) strlen(buf), System::Text::Encoding::UTF8);
			return nullptr;
		}

	}
}
